Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Tue, 19 Jul 2022 21:55:49 +0000

>> That is, I don't think you have to run the detection as often as you do 
>> now.  If the previous call said you had no lines longer than 80 
>> characters, you don't have to run it again until the buffer has grown 
>> more than 30K characters, or you have a modiff in the thousands region.
>
> Hmmm...  Thanks, I'll see if I can do something with that idea.
>

I considered that option, but so far I cannot see how it could work 
reliably, or to be more precise, I fear that there are too many cases that 
would escape such a heuristic, such as M-% C-q C-j RET SPC RET in a 
sufficiently long buffer.  One disadvantage is that it would be necessary 
to record, in struct buffer, the buffer size (and perhaps also the modiff) 
when the detection was last run, something Eli would prefer to avoid.  I 
will continue to think about it, however.